
# strip-changes-markup

This program removes [changes](https://www.ctan.org/pkg/changes) package markup from LaTeX documents. It was written because none of the existing regular expression based scripts actually worked on any sort of complex markup. This program (written in [Rust](https://www.rust-lang.org)) is not based on regular expressions, but has an actual semi-proper parser.

## Installation and usage

1. Install [Rust](https://www.rust-lang.org) following instructions.
2. To compile and install the program (typically in `~/.cargo/bin/`), run
   ```
   cargo install --path=.
   ```
   If you would prefer just building or running the program without installing, use `cargo build` or `cargo run`.
4. To process a document, use
   ```
   strip-changes-markup input.tex -o output.tex
   ```

For further options, such as whitespace and comment stripping, use the `--help` argument (`cargo run -- --help` when running through `cargo` without installing).

## Miscellaneous

Included is also a plug-in replacement `changes-simple` package for LaTeX, that is less likely to blow up with broken journal styles than the more complex `changes` package.
